<?php
/**
 * @file
 * Default theme implementation to display a single Drupal page.
 *
 * The doctype, html, head and body tags are not in this template. Instead they
 * can be found in the html.tpl.php template in this directory.
 *
 * Available variables:
 *
 * General utility variables:
 * - $base_path: The base URL path of the Drupal installation. At the very
 *   least, this will always default to /.
 * - $directory: The directory the template is located in, e.g. modules/system
 *   or themes/bartik.
 * - $is_front: TRUE if the current page is the front page.
 * - $logged_in: TRUE if the user is registered and signed in.
 * - $is_admin: TRUE if the user has permission to access administration pages.
 *
 * Site identity:
 * - $front_page: The URL of the front page. Use this instead of $base_path,
 *   when linking to the front page. This includes the language domain or
 *   prefix.
 * - $logo: The path to the logo image, as defined in theme configuration.
 * - $site_name: The name of the site, empty when display has been disabled
 *   in theme settings.
 * - $site_slogan: The slogan of the site, empty when display has been disabled
 *   in theme settings.
 *
 * Navigation:
 * - $main_menu (array): An array containing the Main menu links for the
 *   site, if they have been configured.
 * - $secondary_menu (array): An array containing the Secondary menu links for
 *   the site, if they have been configured.
 * - $breadcrumb: The breadcrumb trail for the current page.
 *
 * Page content (in order of occurrence in the default page.tpl.php):
 * - $title_prefix (array): An array containing additional output populated by
 *   modules, intended to be displayed in front of the main title tag that
 *   appears in the template.
 * - $title: The page title, for use in the actual HTML content.
 * - $title_suffix (array): An array containing additional output populated by
 *   modules, intended to be displayed after the main title tag that appears in
 *   the template.
 * - $messages: HTML for status and error messages. Should be displayed
 *   prominently.
 * - $tabs (array): Tabs linking to any sub-pages beneath the current page
 *   (e.g., the view and edit tabs when displaying a node).
 * - $action_links (array): Actions local to the page, such as 'Add menu' on the
 *   menu administration interface.
 * - $feed_icons: A string of all feed icons for the current page.
 * - $node: The node object, if there is an automatically-loaded node
 *   associated with the page, and the node ID is the second argument
 *   in the page's path (e.g. node/12345 and node/12345/revisions, but not
 *   comment/reply/12345).
 *
 * Regions:
 * - $page['help']: Dynamic help text, mostly for admin pages.
 * - $page['highlighted']: Items for the highlighted content region.
 * - $page['content']: The main content of the current page.
 * - $page['sidebar_first']: Items for the first sidebar.
 * - $page['sidebar_second']: Items for the second sidebar.
 * - $page['header']: Items for the header region.
 * - $page['footer']: Items for the footer region.
 *
 * @see bootstrap_preprocess_page()
 * @see template_preprocess()
 * @see template_preprocess_page()
 * @see bootstrap_process_page()
 * @see template_process()
 * @see html.tpl.php
 *
 * @ingroup themeable
 */
global $user;
$account = user_load($user->uid);
?>
<!--.page -->
<div class="off-canvas-wrapper">
    <div class="off-canvas-wrapper-inner" data-off-canvas-wrapper>
<div role="document" class="page">
    <div class="off-canvas position-right" id="offCanvasRight" data-off-canvas data-position="right">
    <button class="close-button" aria-label="Close menu" type="button" data-close="">
        <span aria-hidden="true">×</span>
      </button>
          <?php $block = module_invoke('twaran_custom', 'block_view', 'twaran_custom_mobile_menu');
              print $block['content'];
            ?>
    </div>
    <div class="off-canvas-content" data-off-canvas-content>
    <!--.l-messages -->
    <section class="l-messages row">
      <div class="large-12 columns">
        <?php if ($messages): print $messages; endif; ?>
      </div>
    </section>
    <!--/.l-messages -->
<!--.l-header for large-->
<header id="header-large" class="show-for-larges">
  <nav class="top-bar">
    <div class="row">
      <div class="top-bar-left hide-for-large">
        <h1 id="logo"><a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>" rel="home" id="logo">
            <img src="<?php print $logo; ?>" alt="<?php print t('Home'); ?>" />
          </a></h1>
          <button type="button" class="small-navigation menu-icon" data-toggle="offCanvasRight"></button>
      </div>
      <div class="top-bar-left show-for-large">    
            <?php $block = module_invoke('twaran_custom', 'block_view', 'twaran_menu');
              print $block['content'];
            ?>
      </div>
      <div class="top-bar-right">
        <ul class="menu">
          <li>
            <a data-toggle="search-modal"><i class="fa fa-search"></i></a>
          </li>                                                                                                                                                 
          <?php if (!$user->uid): ?>
          <li class="login-register">
            <div><i class="fa fa-user"></i> <a href="<?php print $base_path; ?>user">Login</a> / <a href="<?php print $base_path; ?>user/register">Register</a></div>
          </li>
          <?php endif; ?>
          <?php if ($user->uid): ?>
            <li class="notification">
            <a href="javascript:void(0)" data-toggle="notification-dropdown"><i class="fa fa-bell"></i></a>
            <div class="dropdown-pane" id="notification-dropdown" data-dropdown data-auto-focus="true">
             <div class="text-center loader"><img src="<?php print $base_path; ?>sites/all/themes/twaran_responsive/images/rolling.gif"></div>

            </div>
         </li>
          <li class="message">
            <a href="javascript:void(0)" data-toggle="message-dropdown">
              <i class="fa fa-envelope"></i>
              <?php if ($new_message_count) :?>
                <span class="has-notification"><?php print $new_message_count; ?></span>
              <?php endif; ?>
            </a>
            <div class="dropdown-pane" id="message-dropdown" data-dropdown data-auto-focus="true">
            <h5>NOTIFICATION</h5>
             <?php print $new_messages; ?>
            </div>
          </li>           
            <li class="user-name">
          <a class="hide-for-small" data-toggle="profile-modal">Pritam Prasun <i class="fa fa-bars"></i></a>
          </li>
          <?php endif; ?>
        </ul>
      </div>
    </div>
  </nav> 
</header>
<!--/.l-header for large ends here -->

  <?php if (!empty($page['featured'])): ?>
    <!--.featured -->
    <section class="l-featured row">
      <div class="large-12 columns">
        <?php print render($page['featured']); ?>
      </div>
    </section>
    <!--/.l-featured -->
  <?php endif; ?>


  <?php if (!empty($page['help'])): ?>
    <!--.l-help -->
    <section class="l-help row">
      <div class="large-12 columns">
        <?php print render($page['help']); ?>
      </div>
    </section>
    <!--/.l-help -->
  <?php endif; ?>
 

  <main role="main" class="l-main">

   <?php if ($title && !$is_front): ?>
        <?php print render($title_prefix); ?>
        <div class="main-page-title">
          <div class="row columns">
            <h1 id="page-title" class="title"><?php print $title; ?></h1>
            <?php if ($breadcrumb): print $breadcrumb; endif; ?>
          </div>
        </div>
        <?php print render($title_suffix); ?>
      <?php endif; ?>

      <div class="row">
    <div class="main columns">
      <?php if (!empty($page['highlighted'])): ?>
        <div class="highlight panel callout">
          <?php print render($page['highlighted']); ?>
        </div>
      <?php endif; ?>

      <a id="main-content"></a>

      <?php if (!empty($tabs)): ?>
        <?php print render($tabs); ?>
        <?php if (!empty($tabs2)): print render($tabs2); endif; ?>
      <?php endif; ?>

      <?php if ($action_links): ?>
        <ul class="action-links">
          <?php print render($action_links); ?>
        </ul>
      <?php endif; ?>
       <section id="landing-topic" class="clearfix">
      <div class="row-fluid">
      <?php if (!empty($page['sidebar_left_full_one'])): ?>
        <div class="<?php print $sidebar_first_grid; ?> columns sidebar-left">
          <div class="sidebar-left-inner">
            <?php print render($page['sidebar_left_full_one']); ?>
          </div>
        </div>
        <?php endif; ?>
        <?php if (!empty($page['content'])): ?>
        <div class="<?php print $main_grid_custom; ?> columns main-content-wrap">
          <div class="main-content">
         <?php print render($page['content']); ?>
         </div>
        </div>
        <?php endif; ?>
         <?php if (!empty($page['sidebar_right_full'])): ?>
        <div class="<?php print $sidebar_sec_grid; ?> columns sidebar-right">
          <div class="subject-content">
           <?php print render($page['sidebar_right_full']); ?>
          </div>
        </div>
      <?php endif; ?>
      </div>
    </section>
      
    </div>
    <!--/.l-main region -->

    <?php if (!empty($page['sidebar_first'])): ?>
      <aside role="complementary" class="l-sidebar-first columns sidebar">
        <?php print render($page['sidebar_first']); ?>
      </aside>
    <?php endif; ?>

    <?php if (!empty($page['sidebar_second'])): ?>
      <aside role="complementary" class="l-sidebar-second columns sidebar">
        <?php print render($page['sidebar_second']); ?>
      </aside>
    <?php endif; ?>
    </div>
  </main>
  <!--/.l-main-->


   <footer id="footer-main">
      <div class="row">
          <?php if (!empty($page['footer_one'])): ?>
            <!--.footer one -->
            <div class="medium-2 columns">
                <?php print render($page['footer_one']); ?>
            </div>
            <!--/.footer one  -->
          <?php endif; ?>
           <?php if (!empty($page['footer_two'])): ?>
            <!--.footer two -->
            <div class="medium-2 columns">
                <?php print render($page['footer_two']); ?>
                </div>
            <!--/.footer two -->
          <?php endif; ?>
           <?php if (!empty($page['footer_three'])): ?>
            <!--.footer three -->
            <div class="medium-2 columns">
                <?php print render($page['footer_three']); ?>
                </div>
            <!--/.footer three  -->
          <?php endif; ?>
        <div class="medium-6 columns">
          <div class="footer-block-large">
          <div class="footer-subs clearfix">
            <h6>Update yourself with Latest Courses</h6>
            <ul class="menu">
              <li><input type="search" placeholder="Your email here ..."></li>
              <li><button type="button" class="button">Subscribe</button></li>
            </ul>
          </div>
          <div class="footer-social clearfix">
          <ul class="menu">
              <li><a href="../icon/facebook"><i class="fa fa-facebook"></i></a></li>
              <li><a href="../icon/facebook"><i class="fa fa-twitter"></i></a></li>
              <li><a href="../icon/facebook"><i class="fa fa-youtube-play"></i></a></li>
            </ul>
          </div>
           <?php if ($site_name) :?>
        <div class="copyright large-12 columns">
          &copy; <?php print date('Y') . ' ' . check_plain($site_name) . ' ' . t('All rights reserved.'); ?>
        </div>
      <?php endif; ?>
      </div>
        </div>
      </div>
    </footer>
</div>
</div>
</div>
</div>

<!--/.page -->

<!--All modals
=========================-->
<div class="full reveal" id="search-modal" data-reveal data-close-on-click="true" data-animation-in="slide-in-left" data-animation-out="fade-out">
          <div class="row text-center">
          <h1>Search your course...</h1>
          <ul class="search">
            <li><input type="search" placeholder="Search"></li>
      <li><button type="button" class="button">Search</button></li>     
          </ul>
          </div>
          <button class="close-button" data-close aria-label="Close reveal" type="button">
          <span aria-hidden="true">&times;</span>
          </button>
        </div>


<div class="full reveal" id="profile-modal" data-reveal data-close-on-click="true" data-animation-in="slide-in-left" data-animation-out="slide-out-right">
  <div class="row text-center ">
  <h2>Hello, Pritam</h2>
    <ul class="tabs hide-for-large" data-tabs id="example-tabs">
        <li class="tabs-title is-active"><a href="#panel1" aria-selected="true">Profile</a></li>
        <li class="tabs-title"><a href="#panel2">More...</a></li>
    </ul>
    <div class="tabs-content" data-tabs-content="example-tabs">
        <div class="tabs-panel is-active" id="panel1">
          <div class="medium-9 large-7 columns user-profile-link">
            <div class="small-6 medium-4 large-4 columns">
              <a href="<?php print $base_path; ?>user"><i class="fa fa-user"></i>View Profile</a>
            </div>
            <div class="small-6 medium-4 large-4 columns">
              <a href="#"><i class="fa fa-cogs"></i>Edit Setting</a>
            </div>
            <div class="small-6 medium-4 large-4 columns">
              <a href="#"><i class="fa fa-comment"></i>Feedback</a>
            </div>
            <div class="clearfix"></div>
            <div class="logout"><a class="button" href="<?php print $base_path; ?>user/logout">Logout</a></div>
          </div>
        </div>
        <div class="tabs-panel" id="panel2">
          <div class="user-link-inner clearfix">
            <?php $block = module_invoke('twaran_custom', 'block_view', 'twaran_custom_user_links');
              print $block['content'];
            ?>
          </div>
          <div class="logout"><a class="button" href="<?php print $base_path; ?>user/logout">Logout</a></div>
        </div>
    </div>
    
  <button class="close-button" data-close aria-label="Close reveal" type="button">
  <span aria-hidden="true">&times;</span>
  </button>
  </div>
</div>
